//*****************************************
// AT mega328 Two Nixie Clock Program
// CPU Clock:8MHz
//   iq[Yf[^@WȂBIV[^(8MHz)ɂj
//
// File Name:two_nixie.h
//
//  2016/03/26 Taishi
//*****************************************

#define		CPU_CLOCK	8					// 8MHz

#define		LEVEL_AD		800							// ڕW`^cl
#define		LEVEL_BAND		5							// ڕW`^c͈͒l
#define		LEVEL_NEAR		20							// ڕW`^cߎl
#define		LEVEL_MID		100							// ڕW`^c߂Â
#define		LEVEL_AD_H		(LEVEL_AD + LEVEL_BAND)		// ڕW`^cliljnm͂̂܂
#define		LEVEL_AD_L		(LEVEL_AD - LEVEL_BAND)		// ڕW`^cliljnm͂̂܂
#define		LEVEL_AD_NH		(LEVEL_AD + LEVEL_NEAR)		// ڕW`^cliljnm̕ωl
#define		LEVEL_AD_NL		(LEVEL_AD - LEVEL_NEAR)		// ڕW`^cliljnm̕ωl
#define		LEVEL_AD_MH		(LEVEL_AD + LEVEL_MID)		// ڕW`^cliljnm̑傫ωl
#define		LEVEL_AD_ML		(LEVEL_AD - LEVEL_MID)		// ڕW`^cliljnm̑傫ωl

#define		LED_BAND		50							// kdc̓_͈
#define		LEVEL_LED_H		(LEVEL_AD + LED_BAND)		// kdc_
#define		LEVEL_LED_L		(LEVEL_AD - LED_BAND)		// kdc_

#define		OUT_BAND		0							// ڕW`^c͈͂̎̏o͑l
#define		OUT_NEAR		1							// ڕW`^cߎ̎̏o͑l
#define		OUT_MID			10							// ڕW`^c߂Â̎̏o͑l
#define		OUT_FAR			50							// ڕW`^c̏o͑l

enum DISP_CLOCK_MODE {		// 샂[h
		HM = 0,				// \
		MD,					// \
		YE,					// N\
		SET					// v킹
	};

#define		TIM_DISP_RETURN		20								// \ȊOő삪ɖ߂鎞ԁibj

extern	void	stabilizer_200v(void);
